IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network71.2.76.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
- Network address
71.2.76.0- Broadcast address
71.2.76.255- First usable
71.2.76.1- Last usable
71.2.76.254- Usable hosts
- 254 (256 less the network and broadcast addresses)
- Subnet mask
255.255.255.0- Wildcard mask
0.0.0.255(Cisco ACLs, OSPF)- Prefix length
- /24
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
47024C00· Integer1191332864to1191333119 - Reverse DNS zone
76.2.71.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01000111.00000010.01001100..00000000 | 71.2.76.0 |
| Subnet mask | 11111111.11111111.11111111..00000000 | 255.255.255.0 |
| Network | 01000111.00000010.01001100..00000000 | 71.2.76.0 |
| Broadcast | 01000111.00000010.01001100..11111111 | 71.2.76.255 |
Split into smaller subnets
71.2.76.0/24 makes 256 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 71.2.76.0/32 | 71.2.76.0 to 71.2.76.0 | — | 1 |
| 2 | 71.2.76.1/32 | 71.2.76.1 to 71.2.76.1 | — | 1 |
| 3 | 71.2.76.2/32 | 71.2.76.2 to 71.2.76.2 | — | 1 |
| 4 | 71.2.76.3/32 | 71.2.76.3 to 71.2.76.3 | — | 1 |
| 5 | 71.2.76.4/32 | 71.2.76.4 to 71.2.76.4 | — | 1 |
| 6 | 71.2.76.5/32 | 71.2.76.5 to 71.2.76.5 | — | 1 |
| 7 | 71.2.76.6/32 | 71.2.76.6 to 71.2.76.6 | — | 1 |
| 8 | 71.2.76.7/32 | 71.2.76.7 to 71.2.76.7 | — | 1 |
| 9 | 71.2.76.8/32 | 71.2.76.8 to 71.2.76.8 | — | 1 |
| 10 | 71.2.76.9/32 | 71.2.76.9 to 71.2.76.9 | — | 1 |
| 11 | 71.2.76.10/32 | 71.2.76.10 to 71.2.76.10 | — | 1 |
| 12 | 71.2.76.11/32 | 71.2.76.11 to 71.2.76.11 | — | 1 |
| 13 | 71.2.76.12/32 | 71.2.76.12 to 71.2.76.12 | — | 1 |
| 14 | 71.2.76.13/32 | 71.2.76.13 to 71.2.76.13 | — | 1 |
| 15 | 71.2.76.14/32 | 71.2.76.14 to 71.2.76.14 | — | 1 |
| 16 | 71.2.76.15/32 | 71.2.76.15 to 71.2.76.15 | — | 1 |
| 17 | 71.2.76.16/32 | 71.2.76.16 to 71.2.76.16 | — | 1 |
| 18 | 71.2.76.17/32 | 71.2.76.17 to 71.2.76.17 | — | 1 |
| 19 | 71.2.76.18/32 | 71.2.76.18 to 71.2.76.18 | — | 1 |
| 20 | 71.2.76.19/32 | 71.2.76.19 to 71.2.76.19 | — | 1 |
| 21 | 71.2.76.20/32 | 71.2.76.20 to 71.2.76.20 | — | 1 |
| 22 | 71.2.76.21/32 | 71.2.76.21 to 71.2.76.21 | — | 1 |
| 23 | 71.2.76.22/32 | 71.2.76.22 to 71.2.76.22 | — | 1 |
| 24 | 71.2.76.23/32 | 71.2.76.23 to 71.2.76.23 | — | 1 |
| 25 | 71.2.76.24/32 | 71.2.76.24 to 71.2.76.24 | — | 1 |
| 26 | 71.2.76.25/32 | 71.2.76.25 to 71.2.76.25 | — | 1 |
| 27 | 71.2.76.26/32 | 71.2.76.26 to 71.2.76.26 | — | 1 |
| 28 | 71.2.76.27/32 | 71.2.76.27 to 71.2.76.27 | — | 1 |
| 29 | 71.2.76.28/32 | 71.2.76.28 to 71.2.76.28 | — | 1 |
| 30 | 71.2.76.29/32 | 71.2.76.29 to 71.2.76.29 | — | 1 |
| 31 | 71.2.76.30/32 | 71.2.76.30 to 71.2.76.30 | — | 1 |
| 32 | 71.2.76.31/32 | 71.2.76.31 to 71.2.76.31 | — | 1 |
| 33 | 71.2.76.32/32 | 71.2.76.32 to 71.2.76.32 | — | 1 |
| 34 | 71.2.76.33/32 | 71.2.76.33 to 71.2.76.33 | — | 1 |
| 35 | 71.2.76.34/32 | 71.2.76.34 to 71.2.76.34 | — | 1 |
| 36 | 71.2.76.35/32 | 71.2.76.35 to 71.2.76.35 | — | 1 |
| 37 | 71.2.76.36/32 | 71.2.76.36 to 71.2.76.36 | — | 1 |
| 38 | 71.2.76.37/32 | 71.2.76.37 to 71.2.76.37 | — | 1 |
| 39 | 71.2.76.38/32 | 71.2.76.38 to 71.2.76.38 | — | 1 |
| 40 | 71.2.76.39/32 | 71.2.76.39 to 71.2.76.39 | — | 1 |
| 41 | 71.2.76.40/32 | 71.2.76.40 to 71.2.76.40 | — | 1 |
| 42 | 71.2.76.41/32 | 71.2.76.41 to 71.2.76.41 | — | 1 |
| 43 | 71.2.76.42/32 | 71.2.76.42 to 71.2.76.42 | — | 1 |
| 44 | 71.2.76.43/32 | 71.2.76.43 to 71.2.76.43 | — | 1 |
| 45 | 71.2.76.44/32 | 71.2.76.44 to 71.2.76.44 | — | 1 |
| 46 | 71.2.76.45/32 | 71.2.76.45 to 71.2.76.45 | — | 1 |
| 47 | 71.2.76.46/32 | 71.2.76.46 to 71.2.76.46 | — | 1 |
| 48 | 71.2.76.47/32 | 71.2.76.47 to 71.2.76.47 | — | 1 |
| 49 | 71.2.76.48/32 | 71.2.76.48 to 71.2.76.48 | — | 1 |
| 50 | 71.2.76.49/32 | 71.2.76.49 to 71.2.76.49 | — | 1 |
| 51 | 71.2.76.50/32 | 71.2.76.50 to 71.2.76.50 | — | 1 |
| 52 | 71.2.76.51/32 | 71.2.76.51 to 71.2.76.51 | — | 1 |
| 53 | 71.2.76.52/32 | 71.2.76.52 to 71.2.76.52 | — | 1 |
| 54 | 71.2.76.53/32 | 71.2.76.53 to 71.2.76.53 | — | 1 |
| 55 | 71.2.76.54/32 | 71.2.76.54 to 71.2.76.54 | — | 1 |
| 56 | 71.2.76.55/32 | 71.2.76.55 to 71.2.76.55 | — | 1 |
| 57 | 71.2.76.56/32 | 71.2.76.56 to 71.2.76.56 | — | 1 |
| 58 | 71.2.76.57/32 | 71.2.76.57 to 71.2.76.57 | — | 1 |
| 59 | 71.2.76.58/32 | 71.2.76.58 to 71.2.76.58 | — | 1 |
| 60 | 71.2.76.59/32 | 71.2.76.59 to 71.2.76.59 | — | 1 |
| 61 | 71.2.76.60/32 | 71.2.76.60 to 71.2.76.60 | — | 1 |
| 62 | 71.2.76.61/32 | 71.2.76.61 to 71.2.76.61 | — | 1 |
| 63 | 71.2.76.62/32 | 71.2.76.62 to 71.2.76.62 | — | 1 |
| 64 | 71.2.76.63/32 | 71.2.76.63 to 71.2.76.63 | — | 1 |
| 65 | 71.2.76.64/32 | 71.2.76.64 to 71.2.76.64 | — | 1 |
| 66 | 71.2.76.65/32 | 71.2.76.65 to 71.2.76.65 | — | 1 |
| 67 | 71.2.76.66/32 | 71.2.76.66 to 71.2.76.66 | — | 1 |
| 68 | 71.2.76.67/32 | 71.2.76.67 to 71.2.76.67 | — | 1 |
| 69 | 71.2.76.68/32 | 71.2.76.68 to 71.2.76.68 | — | 1 |
| 70 | 71.2.76.69/32 | 71.2.76.69 to 71.2.76.69 | — | 1 |
| 71 | 71.2.76.70/32 | 71.2.76.70 to 71.2.76.70 | — | 1 |
| 72 | 71.2.76.71/32 | 71.2.76.71 to 71.2.76.71 | — | 1 |
| 73 | 71.2.76.72/32 | 71.2.76.72 to 71.2.76.72 | — | 1 |
| 74 | 71.2.76.73/32 | 71.2.76.73 to 71.2.76.73 | — | 1 |
| 75 | 71.2.76.74/32 | 71.2.76.74 to 71.2.76.74 | — | 1 |
| 76 | 71.2.76.75/32 | 71.2.76.75 to 71.2.76.75 | — | 1 |
| 77 | 71.2.76.76/32 | 71.2.76.76 to 71.2.76.76 | — | 1 |
| 78 | 71.2.76.77/32 | 71.2.76.77 to 71.2.76.77 | — | 1 |
| 79 | 71.2.76.78/32 | 71.2.76.78 to 71.2.76.78 | — | 1 |
| 80 | 71.2.76.79/32 | 71.2.76.79 to 71.2.76.79 | — | 1 |
| 81 | 71.2.76.80/32 | 71.2.76.80 to 71.2.76.80 | — | 1 |
| 82 | 71.2.76.81/32 | 71.2.76.81 to 71.2.76.81 | — | 1 |
| 83 | 71.2.76.82/32 | 71.2.76.82 to 71.2.76.82 | — | 1 |
| 84 | 71.2.76.83/32 | 71.2.76.83 to 71.2.76.83 | — | 1 |
| 85 | 71.2.76.84/32 | 71.2.76.84 to 71.2.76.84 | — | 1 |
| 86 | 71.2.76.85/32 | 71.2.76.85 to 71.2.76.85 | — | 1 |
| 87 | 71.2.76.86/32 | 71.2.76.86 to 71.2.76.86 | — | 1 |
| 88 | 71.2.76.87/32 | 71.2.76.87 to 71.2.76.87 | — | 1 |
| 89 | 71.2.76.88/32 | 71.2.76.88 to 71.2.76.88 | — | 1 |
| 90 | 71.2.76.89/32 | 71.2.76.89 to 71.2.76.89 | — | 1 |
| 91 | 71.2.76.90/32 | 71.2.76.90 to 71.2.76.90 | — | 1 |
| 92 | 71.2.76.91/32 | 71.2.76.91 to 71.2.76.91 | — | 1 |
| 93 | 71.2.76.92/32 | 71.2.76.92 to 71.2.76.92 | — | 1 |
| 94 | 71.2.76.93/32 | 71.2.76.93 to 71.2.76.93 | — | 1 |
| 95 | 71.2.76.94/32 | 71.2.76.94 to 71.2.76.94 | — | 1 |
| 96 | 71.2.76.95/32 | 71.2.76.95 to 71.2.76.95 | — | 1 |
| 97 | 71.2.76.96/32 | 71.2.76.96 to 71.2.76.96 | — | 1 |
| 98 | 71.2.76.97/32 | 71.2.76.97 to 71.2.76.97 | — | 1 |
| 99 | 71.2.76.98/32 | 71.2.76.98 to 71.2.76.98 | — | 1 |
| 100 | 71.2.76.99/32 | 71.2.76.99 to 71.2.76.99 | — | 1 |
| 101 | 71.2.76.100/32 | 71.2.76.100 to 71.2.76.100 | — | 1 |
| 102 | 71.2.76.101/32 | 71.2.76.101 to 71.2.76.101 | — | 1 |
| 103 | 71.2.76.102/32 | 71.2.76.102 to 71.2.76.102 | — | 1 |
| 104 | 71.2.76.103/32 | 71.2.76.103 to 71.2.76.103 | — | 1 |
| 105 | 71.2.76.104/32 | 71.2.76.104 to 71.2.76.104 | — | 1 |
| 106 | 71.2.76.105/32 | 71.2.76.105 to 71.2.76.105 | — | 1 |
| 107 | 71.2.76.106/32 | 71.2.76.106 to 71.2.76.106 | — | 1 |
| 108 | 71.2.76.107/32 | 71.2.76.107 to 71.2.76.107 | — | 1 |
| 109 | 71.2.76.108/32 | 71.2.76.108 to 71.2.76.108 | — | 1 |
| 110 | 71.2.76.109/32 | 71.2.76.109 to 71.2.76.109 | — | 1 |
| 111 | 71.2.76.110/32 | 71.2.76.110 to 71.2.76.110 | — | 1 |
| 112 | 71.2.76.111/32 | 71.2.76.111 to 71.2.76.111 | — | 1 |
| 113 | 71.2.76.112/32 | 71.2.76.112 to 71.2.76.112 | — | 1 |
| 114 | 71.2.76.113/32 | 71.2.76.113 to 71.2.76.113 | — | 1 |
| 115 | 71.2.76.114/32 | 71.2.76.114 to 71.2.76.114 | — | 1 |
| 116 | 71.2.76.115/32 | 71.2.76.115 to 71.2.76.115 | — | 1 |
| 117 | 71.2.76.116/32 | 71.2.76.116 to 71.2.76.116 | — | 1 |
| 118 | 71.2.76.117/32 | 71.2.76.117 to 71.2.76.117 | — | 1 |
| 119 | 71.2.76.118/32 | 71.2.76.118 to 71.2.76.118 | — | 1 |
| 120 | 71.2.76.119/32 | 71.2.76.119 to 71.2.76.119 | — | 1 |
| 121 | 71.2.76.120/32 | 71.2.76.120 to 71.2.76.120 | — | 1 |
| 122 | 71.2.76.121/32 | 71.2.76.121 to 71.2.76.121 | — | 1 |
| 123 | 71.2.76.122/32 | 71.2.76.122 to 71.2.76.122 | — | 1 |
| 124 | 71.2.76.123/32 | 71.2.76.123 to 71.2.76.123 | — | 1 |
| 125 | 71.2.76.124/32 | 71.2.76.124 to 71.2.76.124 | — | 1 |
| 126 | 71.2.76.125/32 | 71.2.76.125 to 71.2.76.125 | — | 1 |
| 127 | 71.2.76.126/32 | 71.2.76.126 to 71.2.76.126 | — | 1 |
| 128 | 71.2.76.127/32 | 71.2.76.127 to 71.2.76.127 | — | 1 |
| 129 | 71.2.76.128/32 | 71.2.76.128 to 71.2.76.128 | — | 1 |
| 130 | 71.2.76.129/32 | 71.2.76.129 to 71.2.76.129 | — | 1 |
| 131 | 71.2.76.130/32 | 71.2.76.130 to 71.2.76.130 | — | 1 |
| 132 | 71.2.76.131/32 | 71.2.76.131 to 71.2.76.131 | — | 1 |
| 133 | 71.2.76.132/32 | 71.2.76.132 to 71.2.76.132 | — | 1 |
| 134 | 71.2.76.133/32 | 71.2.76.133 to 71.2.76.133 | — | 1 |
| 135 | 71.2.76.134/32 | 71.2.76.134 to 71.2.76.134 | — | 1 |
| 136 | 71.2.76.135/32 | 71.2.76.135 to 71.2.76.135 | — | 1 |
| 137 | 71.2.76.136/32 | 71.2.76.136 to 71.2.76.136 | — | 1 |
| 138 | 71.2.76.137/32 | 71.2.76.137 to 71.2.76.137 | — | 1 |
| 139 | 71.2.76.138/32 | 71.2.76.138 to 71.2.76.138 | — | 1 |
| 140 | 71.2.76.139/32 | 71.2.76.139 to 71.2.76.139 | — | 1 |
| 141 | 71.2.76.140/32 | 71.2.76.140 to 71.2.76.140 | — | 1 |
| 142 | 71.2.76.141/32 | 71.2.76.141 to 71.2.76.141 | — | 1 |
| 143 | 71.2.76.142/32 | 71.2.76.142 to 71.2.76.142 | — | 1 |
| 144 | 71.2.76.143/32 | 71.2.76.143 to 71.2.76.143 | — | 1 |
| 145 | 71.2.76.144/32 | 71.2.76.144 to 71.2.76.144 | — | 1 |
| 146 | 71.2.76.145/32 | 71.2.76.145 to 71.2.76.145 | — | 1 |
| 147 | 71.2.76.146/32 | 71.2.76.146 to 71.2.76.146 | — | 1 |
| 148 | 71.2.76.147/32 | 71.2.76.147 to 71.2.76.147 | — | 1 |
| 149 | 71.2.76.148/32 | 71.2.76.148 to 71.2.76.148 | — | 1 |
| 150 | 71.2.76.149/32 | 71.2.76.149 to 71.2.76.149 | — | 1 |
| 151 | 71.2.76.150/32 | 71.2.76.150 to 71.2.76.150 | — | 1 |
| 152 | 71.2.76.151/32 | 71.2.76.151 to 71.2.76.151 | — | 1 |
| 153 | 71.2.76.152/32 | 71.2.76.152 to 71.2.76.152 | — | 1 |
| 154 | 71.2.76.153/32 | 71.2.76.153 to 71.2.76.153 | — | 1 |
| 155 | 71.2.76.154/32 | 71.2.76.154 to 71.2.76.154 | — | 1 |
| 156 | 71.2.76.155/32 | 71.2.76.155 to 71.2.76.155 | — | 1 |
| 157 | 71.2.76.156/32 | 71.2.76.156 to 71.2.76.156 | — | 1 |
| 158 | 71.2.76.157/32 | 71.2.76.157 to 71.2.76.157 | — | 1 |
| 159 | 71.2.76.158/32 | 71.2.76.158 to 71.2.76.158 | — | 1 |
| 160 | 71.2.76.159/32 | 71.2.76.159 to 71.2.76.159 | — | 1 |
| 161 | 71.2.76.160/32 | 71.2.76.160 to 71.2.76.160 | — | 1 |
| 162 | 71.2.76.161/32 | 71.2.76.161 to 71.2.76.161 | — | 1 |
| 163 | 71.2.76.162/32 | 71.2.76.162 to 71.2.76.162 | — | 1 |
| 164 | 71.2.76.163/32 | 71.2.76.163 to 71.2.76.163 | — | 1 |
| 165 | 71.2.76.164/32 | 71.2.76.164 to 71.2.76.164 | — | 1 |
| 166 | 71.2.76.165/32 | 71.2.76.165 to 71.2.76.165 | — | 1 |
| 167 | 71.2.76.166/32 | 71.2.76.166 to 71.2.76.166 | — | 1 |
| 168 | 71.2.76.167/32 | 71.2.76.167 to 71.2.76.167 | — | 1 |
| 169 | 71.2.76.168/32 | 71.2.76.168 to 71.2.76.168 | — | 1 |
| 170 | 71.2.76.169/32 | 71.2.76.169 to 71.2.76.169 | — | 1 |
| 171 | 71.2.76.170/32 | 71.2.76.170 to 71.2.76.170 | — | 1 |
| 172 | 71.2.76.171/32 | 71.2.76.171 to 71.2.76.171 | — | 1 |
| 173 | 71.2.76.172/32 | 71.2.76.172 to 71.2.76.172 | — | 1 |
| 174 | 71.2.76.173/32 | 71.2.76.173 to 71.2.76.173 | — | 1 |
| 175 | 71.2.76.174/32 | 71.2.76.174 to 71.2.76.174 | — | 1 |
| 176 | 71.2.76.175/32 | 71.2.76.175 to 71.2.76.175 | — | 1 |
| 177 | 71.2.76.176/32 | 71.2.76.176 to 71.2.76.176 | — | 1 |
| 178 | 71.2.76.177/32 | 71.2.76.177 to 71.2.76.177 | — | 1 |
| 179 | 71.2.76.178/32 | 71.2.76.178 to 71.2.76.178 | — | 1 |
| 180 | 71.2.76.179/32 | 71.2.76.179 to 71.2.76.179 | — | 1 |
| 181 | 71.2.76.180/32 | 71.2.76.180 to 71.2.76.180 | — | 1 |
| 182 | 71.2.76.181/32 | 71.2.76.181 to 71.2.76.181 | — | 1 |
| 183 | 71.2.76.182/32 | 71.2.76.182 to 71.2.76.182 | — | 1 |
| 184 | 71.2.76.183/32 | 71.2.76.183 to 71.2.76.183 | — | 1 |
| 185 | 71.2.76.184/32 | 71.2.76.184 to 71.2.76.184 | — | 1 |
| 186 | 71.2.76.185/32 | 71.2.76.185 to 71.2.76.185 | — | 1 |
| 187 | 71.2.76.186/32 | 71.2.76.186 to 71.2.76.186 | — | 1 |
| 188 | 71.2.76.187/32 | 71.2.76.187 to 71.2.76.187 | — | 1 |
| 189 | 71.2.76.188/32 | 71.2.76.188 to 71.2.76.188 | — | 1 |
| 190 | 71.2.76.189/32 | 71.2.76.189 to 71.2.76.189 | — | 1 |
| 191 | 71.2.76.190/32 | 71.2.76.190 to 71.2.76.190 | — | 1 |
| 192 | 71.2.76.191/32 | 71.2.76.191 to 71.2.76.191 | — | 1 |
| 193 | 71.2.76.192/32 | 71.2.76.192 to 71.2.76.192 | — | 1 |
| 194 | 71.2.76.193/32 | 71.2.76.193 to 71.2.76.193 | — | 1 |
| 195 | 71.2.76.194/32 | 71.2.76.194 to 71.2.76.194 | — | 1 |
| 196 | 71.2.76.195/32 | 71.2.76.195 to 71.2.76.195 | — | 1 |
| 197 | 71.2.76.196/32 | 71.2.76.196 to 71.2.76.196 | — | 1 |
| 198 | 71.2.76.197/32 | 71.2.76.197 to 71.2.76.197 | — | 1 |
| 199 | 71.2.76.198/32 | 71.2.76.198 to 71.2.76.198 | — | 1 |
| 200 | 71.2.76.199/32 | 71.2.76.199 to 71.2.76.199 | — | 1 |
| 201 | 71.2.76.200/32 | 71.2.76.200 to 71.2.76.200 | — | 1 |
| 202 | 71.2.76.201/32 | 71.2.76.201 to 71.2.76.201 | — | 1 |
| 203 | 71.2.76.202/32 | 71.2.76.202 to 71.2.76.202 | — | 1 |
| 204 | 71.2.76.203/32 | 71.2.76.203 to 71.2.76.203 | — | 1 |
| 205 | 71.2.76.204/32 | 71.2.76.204 to 71.2.76.204 | — | 1 |
| 206 | 71.2.76.205/32 | 71.2.76.205 to 71.2.76.205 | — | 1 |
| 207 | 71.2.76.206/32 | 71.2.76.206 to 71.2.76.206 | — | 1 |
| 208 | 71.2.76.207/32 | 71.2.76.207 to 71.2.76.207 | — | 1 |
| 209 | 71.2.76.208/32 | 71.2.76.208 to 71.2.76.208 | — | 1 |
| 210 | 71.2.76.209/32 | 71.2.76.209 to 71.2.76.209 | — | 1 |
| 211 | 71.2.76.210/32 | 71.2.76.210 to 71.2.76.210 | — | 1 |
| 212 | 71.2.76.211/32 | 71.2.76.211 to 71.2.76.211 | — | 1 |
| 213 | 71.2.76.212/32 | 71.2.76.212 to 71.2.76.212 | — | 1 |
| 214 | 71.2.76.213/32 | 71.2.76.213 to 71.2.76.213 | — | 1 |
| 215 | 71.2.76.214/32 | 71.2.76.214 to 71.2.76.214 | — | 1 |
| 216 | 71.2.76.215/32 | 71.2.76.215 to 71.2.76.215 | — | 1 |
| 217 | 71.2.76.216/32 | 71.2.76.216 to 71.2.76.216 | — | 1 |
| 218 | 71.2.76.217/32 | 71.2.76.217 to 71.2.76.217 | — | 1 |
| 219 | 71.2.76.218/32 | 71.2.76.218 to 71.2.76.218 | — | 1 |
| 220 | 71.2.76.219/32 | 71.2.76.219 to 71.2.76.219 | — | 1 |
| 221 | 71.2.76.220/32 | 71.2.76.220 to 71.2.76.220 | — | 1 |
| 222 | 71.2.76.221/32 | 71.2.76.221 to 71.2.76.221 | — | 1 |
| 223 | 71.2.76.222/32 | 71.2.76.222 to 71.2.76.222 | — | 1 |
| 224 | 71.2.76.223/32 | 71.2.76.223 to 71.2.76.223 | — | 1 |
| 225 | 71.2.76.224/32 | 71.2.76.224 to 71.2.76.224 | — | 1 |
| 226 | 71.2.76.225/32 | 71.2.76.225 to 71.2.76.225 | — | 1 |
| 227 | 71.2.76.226/32 | 71.2.76.226 to 71.2.76.226 | — | 1 |
| 228 | 71.2.76.227/32 | 71.2.76.227 to 71.2.76.227 | — | 1 |
| 229 | 71.2.76.228/32 | 71.2.76.228 to 71.2.76.228 | — | 1 |
| 230 | 71.2.76.229/32 | 71.2.76.229 to 71.2.76.229 | — | 1 |
| 231 | 71.2.76.230/32 | 71.2.76.230 to 71.2.76.230 | — | 1 |
| 232 | 71.2.76.231/32 | 71.2.76.231 to 71.2.76.231 | — | 1 |
| 233 | 71.2.76.232/32 | 71.2.76.232 to 71.2.76.232 | — | 1 |
| 234 | 71.2.76.233/32 | 71.2.76.233 to 71.2.76.233 | — | 1 |
| 235 | 71.2.76.234/32 | 71.2.76.234 to 71.2.76.234 | — | 1 |
| 236 | 71.2.76.235/32 | 71.2.76.235 to 71.2.76.235 | — | 1 |
| 237 | 71.2.76.236/32 | 71.2.76.236 to 71.2.76.236 | — | 1 |
| 238 | 71.2.76.237/32 | 71.2.76.237 to 71.2.76.237 | — | 1 |
| 239 | 71.2.76.238/32 | 71.2.76.238 to 71.2.76.238 | — | 1 |
| 240 | 71.2.76.239/32 | 71.2.76.239 to 71.2.76.239 | — | 1 |
| 241 | 71.2.76.240/32 | 71.2.76.240 to 71.2.76.240 | — | 1 |
| 242 | 71.2.76.241/32 | 71.2.76.241 to 71.2.76.241 | — | 1 |
| 243 | 71.2.76.242/32 | 71.2.76.242 to 71.2.76.242 | — | 1 |
| 244 | 71.2.76.243/32 | 71.2.76.243 to 71.2.76.243 | — | 1 |
| 245 | 71.2.76.244/32 | 71.2.76.244 to 71.2.76.244 | — | 1 |
| 246 | 71.2.76.245/32 | 71.2.76.245 to 71.2.76.245 | — | 1 |
| 247 | 71.2.76.246/32 | 71.2.76.246 to 71.2.76.246 | — | 1 |
| 248 | 71.2.76.247/32 | 71.2.76.247 to 71.2.76.247 | — | 1 |
| 249 | 71.2.76.248/32 | 71.2.76.248 to 71.2.76.248 | — | 1 |
| 250 | 71.2.76.249/32 | 71.2.76.249 to 71.2.76.249 | — | 1 |
| 251 | 71.2.76.250/32 | 71.2.76.250 to 71.2.76.250 | — | 1 |
| 252 | 71.2.76.251/32 | 71.2.76.251 to 71.2.76.251 | — | 1 |
| 253 | 71.2.76.252/32 | 71.2.76.252 to 71.2.76.252 | — | 1 |
| 254 | 71.2.76.253/32 | 71.2.76.253 to 71.2.76.253 | — | 1 |
| 255 | 71.2.76.254/32 | 71.2.76.254 to 71.2.76.254 | — | 1 |
| 256 | 71.2.76.255/32 | 71.2.76.255 to 71.2.76.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |